<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("../__common__/include-common-html.php");
	require("../account/__logincheck.php");

	html_header("MyHome ツール", '', '#ffffff');
	page_header(False);
	tools_list();
	page_footer();
	html_footer();
	exit();
?>
<?php
function tools_list() {
?>
<script language="JavaScript">
function monotone_window(form) {
	url = form.url.value;
	saveCookie("tools_monotone_url", url);
	w01 = window.open("monotone.php?url=" + url, "", "");
}
function zoom_window(form) {
	url = form.url.value;
	for (i=0; i<form.zoom_sel.options.length; i++) {
		if (form.zoom_sel.options[i].selected == true) {
			zoom = form.zoom_sel.options[i].value;
		}
	}
	saveCookie("tools_zoom_url", url);
	w01 = window.open("zoom.php?url=" + url + "&zoom=" + zoom, "", "");
}
function tategaki_window(form) {
	url = form.url.value;
	for (i=0; i<form.fontsize_sel.options.length; i++) {
		if (form.fontsize_sel.options[i].selected == true) {
			fs = form.fontsize_sel.options[i].value;
		}
	}
	for (i=0; i<form.lineheight_sel.options.length; i++) {
		if (form.lineheight_sel.options[i].selected == true) {
			lh = form.lineheight_sel.options[i].value;
		}
	}
	for (i=0; i<form.height_sel.options.length; i++) {
		if (form.height_sel.options[i].selected == true) {
			hh = form.height_sel.options[i].value;
		}
	}
	saveCookie("tools_tategaki_url", url);
	w01 = window.open("tategaki.php?url=" + url + "&fs=" + fs + "&lh=" + lh + "&h=" + hh, "", "");
}
</script>
<div class="tools_list">
<p>ツール</p>
<ul>
<li><span style="background-color: #D9F9D9; padding: 3px 0 3px 0;"><a href="../kakeibo/" target="_blank">(簡易) 預貯金管理</a></span>&nbsp;<img src="icon/yen.png"></li>
<li><span style="background-color: #D9F9D9; padding: 3px 0 3px 0;"><a href="calc.php" target="_blank">縦計だけの表計算</a></span>&nbsp;<img src="icon/tables2.png"></li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="google-ajax-lang.php" target="_blank">翻訳 by Google AJAX Language API</a></span></li>
<li><a href="google-maps-earth-v3.php" target="_blank">Google Maps <span style="color:red">API V3版</span> (Earthなし)</a></li>
<li><a href="google-maps-earth-multi-v3.php" target="_blank">Google Maps (複数地点) <span style="color:red">API V3版</span> (Earthなし)</a></li>
<li><a href="google-maps-earth.php" target="_blank">Google Maps & Earth <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png">
&nbsp;&nbsp;( <img src="icon/earth.png"><a href="http://code.google.com/intl/ja/apis/earth/" target="_blank">Google Earth プラグイン</a>をインストールする必要があります。)</li>
<li><a href="google-maps-earth-multi.php" target="_blank">Google Maps & Earth (複数地点) <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png"></li>
<li><a href="google-maps-earth-multi-uncertain.php" target="_blank">Google Maps & Earth (複数地点/不確実版) <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png"></li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><span style="background-color: #D9EDF9; padding: 3px 0 3px 0;"><a href="../db_tool/mysql-database.php" target="_blank">MySQL管理ツール</a></span>&nbsp;<img src="icon/database.png"> (システム管理者用)</li>
<li><span style="background-color: #D9EDF9; padding: 3px 0 3px 0;"><a href="../db_tool/backup-mydb.php" target="_blank">実運用環境バックアップ</a></span>&nbsp;<img src="icon/database_go.png"> (システム管理者用)</li>
<li><span style="background-color: #FFF0A8; padding: 3px 0 3px 0;"><a href="file-manager.php" target="_blank">ファイルマネージャー（暗号化/復号化付き）</a></span>&nbsp;<img src="icon/folder-open.png"> (システム管理者用)</li>
<li><span style="background-color: #FFF0A8; padding: 3px 0 3px 0;"><a href="code-file-view.php" target="_blank">PHP/JavaScript ソースコード表示&編集＋ファイルマネージャー</a></span>&nbsp;<img src="icon/folder-open-document-text.png"> (システム管理者用)</li>
<?php	} ?>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="../__common__/color-chart.php" target="_blank">HTML カラーチャート</a></span>&nbsp;<img src="icon/color2_16x16.gif"></li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="colorpicker.php" target="_blank">HTML カラーチャート ＋ Photoshop-like JavaScript Color Picker</a></span>&nbsp;<img src="icon/color2_16x16.gif"></li>
<li><a href="html-text-mail.php" target="_blank">HTML テキスト抽出 & メール送信</a>&nbsp;<img src="icon/document-list.png"></li>
<li><a href="html-text-multi.php" target="_blank">HTML テキスト抽出 複数一括</a>&nbsp;<img src="icon/document-list.png"></li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><a href="html-get-url-img.php" target="_blank">HTML URL抽出 & ファイルダウンロード</a>&nbsp;<img src="icon/download.png"> (システム管理者用)</li>
<?php	} ?>
<li><a href="excel-graph-bluff.php" target="_blank">Excel to グラフ by Bluff</a>&nbsp;<img src="icon/bar_graph.png"></li>
<li><a href="excel-graph-html5.php" target="_blank">Excel to グラフ by HTML5</a>&nbsp;<img src="icon/bar_graph.png"></li>
<li><a href="excel-graph-google.php" target="_blank">Excel to グラフ by Google</a>&nbsp;<img src="icon/bar_graph.png"></li>
<li><a href="table-layout.php" target="_blank">HTML テーブル CSSスタイル シミュレーション</a></li>
<li><a href="monotone-page.php" target="_blank">ホームページのモノトーン表示</a> (IEのみ)<br>
	<form method="POST" name="monotone_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_monotone_url'] ?>" size="50">
	<input type="button" value="モノトーン表示" onClick="monotone_window(this.form)">
	</form>
</li>
<li><a href="zoom-page.php" target="_blank">ホームページの拡大縮小表示</a> (IEのみ)<br>
	<form method="POST" name="zoom_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_zoom_url'] ?>" size="50">
	<select name="zoom_sel">
	<option value="70%">70%</option>
	<option value="80%">80%</option>
	<option value="90%">90%</option>
	<option value="100%" selected>100%</option>
	<option value="110%">110%</option>
	<option value="120%">120%</option>
	<option value="130%">130%</option>
	<option value="140%">140%</option>
	<option value="150%">150%</option>
	</select>
	<input type="button" value="拡大縮小表示" onClick="zoom_window(this.form)">
	</form>
</li>
<li><a href="tategaki-form.php" target="_blank">テキスト縦書き表示</a> (IEのみ) <br>
	<form method="POST" name="tategaki_form">
<?php
	if ($_COOKIE['tools_tategaki_url'] <> '') {
		$url = str_replace(DIRECTORY_SEPARATOR, "/", right_slash_strip(form_str_filepath($_COOKIE['tools_tategaki_url'])));
	} else {
		$url = "tategaki-sample/kenjano_okurimono.txt";
	}
	if (!defined("TATEGAKI_FONTSIZE")) {
		define("TATEGAKI_FONTSIZE", "18pt");
		define("TATEGAKI_FONTSIZE_SELECT", "10pt,11pt,12pt,14pt,16pt,18pt,20pt,22pt,24pt");
	}
	if ($_COOKIE['tategaki_fontsize'].'' <> '') {
		$fontsize = $_COOKIE['tategaki_fontsize'];
	} else {
		$fontsize = TATEGAKI_FONTSIZE;
	}
	if (!defined("TATEGAKI_LINEHEIGHT")) {
		define("TATEGAKI_LINEHEIGHT", "1.2");
		define("TATEGAKI_LINEHEIGHT_SELECT", "1.0,1.1,1.2,1.3,1.4,1.5");
	}
	if ($_COOKIE['tategaki_lineheight'].'' <> '') {
		$lineheight = $_COOKIE['tategaki_lineheight'];
	} else {
		$lineheight = TATEGAKI_LINEHEIGHT;
	}
	if (!defined("TATEGAKI_HEIGHT")) {
		define("TATEGAKI_HEIGHT", "650");
		define("TATEGAKI_HEIGHT_SELECT", "200,250,300,350,400,450,500,550,600,650,700,750,800");
	}
	if ($_COOKIE['tategaki_height'].'' <> '') {
		$height = $_COOKIE['tategaki_height'];
	} else {
		$height = TATEGAKI_HEIGHT;
	}
?>
	URL/ファイルパス：<input class="text" type="text" name="url" value="<?= $url ?>" size="40">
	文字サイズ：<select name="fontsize_sel">
	<?php
		$selary = explode(",", TATEGAKI_FONTSIZE_SELECT);
		foreach ($selary as $sel) {
	?>
		<option value="<?= $sel ?>"<?= $sel == $fontsize ? ' selected' : '' ?>><?= $sel ?>
	<?php
		}
	?>
		</select>
	行間：<select name="lineheight_sel">
	<?php
		$selary = explode(",", TATEGAKI_LINEHEIGHT_SELECT);
		foreach ($selary as $sel) {
	?>
		<option value="<?= $sel ?>"<?= $sel == $lineheight ? ' selected' : '' ?>><?= $sel ?>
	<?php
		}
	?>
		</select>
	高さ：<select name="height_sel">
	<?php
		$selary = explode(",", TATEGAKI_HEIGHT_SELECT);
		foreach ($selary as $sel) {
	?>
		<option value="<?= $sel ?>"<?= $sel == $height ? ' selected' : '' ?>><?= $sel ?>
	<?php
		}
	?>
		</select>
	<input type="button" value="縦書き表示" onClick="tategaki_window(this.form)">
	</form>
</li>
<li>
<a href="jSnow" target="_blank">jSnow</a>&nbsp;<img src="icon/snow.gif">&nbsp;&nbsp;
<a href="jSnow/merry-christmas.php" target="_blank">Merry Christmas</a>&nbsp;&nbsp;
<a href="jSnow/love.php" target="_blank">愛Love</a>&nbsp;&nbsp;
<a href="jSnow/sakura.php" target="_blank">桜吹雪</a>&nbsp;&nbsp;
<a href="jSnow/input.php" target="_blank">お好み</a>&nbsp;&nbsp;
<a href="snowstorm/" target="_blank">雪嵐</a>&nbsp;&nbsp;
<a href="snowstorm/snowman.php" target="_blank">雪だるま</a>&nbsp;&nbsp;
<a href="snowstorm/sozai.php" target="_blank">アイコン</a>&nbsp;&nbsp;
<a href="snowstorm/christmas.php" target="_blank">クリスマス</a>&nbsp;&nbsp;
<a href="snowstorm/xmas.php" target="_blank">クリスマス(大)</a>&nbsp;&nbsp;
<a href="snowstorm/newyear.php" target="_blank">お正月</a>&nbsp;&nbsp;
<a href="fireworks/" target="_blank">花火</a>&nbsp;&nbsp;
</li>
</ul>
</div>
<?php
}
?>
